diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index bb14fdf..0b37d43 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -22926,7 +22926,8 @@ ExpressionSpaceODESolver(R, F): Exports == Implementation where
       ++ is equivalent to
       ++ \spad{seriesSolve([eq1=0,...,eqn=0], [y1,...,yn], x=a, [b1,...,bn])}.
     seriesSolve: (List F, List OP, EQ, List EQ) -> Any
-      ++ seriesSolve([eq1,...,eqn], [y1,...,yn], x = a,[y1 a = b1,..., yn a = bn])
+      ++ seriesSolve([eq1,...,eqn], [y1,...,yn], 
+      ++ x = a,[y1 a = b1,..., yn a = bn])
       ++ is equivalent to
       ++ \spad{seriesSolve([eq1=0,...,eqn=0], [y1,...,yn], x = a,
       ++ [y1 a = b1,..., yn a = bn])}.
@@ -22973,8 +22974,8 @@ ExpressionSpaceODESolver(R, F): Exports == Implementation where
       kernel(op, [div2exquo f for f in argument k]$List(F))
 
     smp2exquo p ==
-      map(k2exquo,#1::F,p)$PolynomialCategoryLifting(IndexedExponents K,
-                                                             K, R, P, F)
+      map(k2exquo,x+->x::F,p)_
+       $PolynomialCategoryLifting(IndexedExponents K,K, R, P, F)
 
     div2exquo f ==
 --      one?(d := denom f) => f
diff --git a/changelog b/changelog
index f57aab1..aed74b0 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090518 tpd src/axiom-website/patches.html 20090518.10.tpd.patch
+20090518 tpd books/bookvol10.4 EXPRODE +-> conversion
 20090518 tpd src/axiom-website/patches.html 20090518.09.tpd.patch
 20090518 tpd books/bookvol10.4 EXPRSOL +-> conversion
 20090518 tpd src/axiom-website/patches.html 20090518.08.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 741cea4..04fb95d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1356,5 +1356,7 @@ bookvol10.3 SMTS add input, help, examples<br/>
 bookvol10.3 ULSCONS +-> conversion<br/>
 <a href="patches/20090518.09.tpd.patch">20090518.09.tpd.patch</a>
 bookvol10.4 EXPRSOL +-> conversion<br/>
+<a href="patches/20090518.10.tpd.patch">20090518.10.tpd.patch</a>
+bookvol10.4 EXPRODE +-> conversion<br/>
  </body>
 </html>
